org.springframework.expression

## Interface MethodResolver

All Known Implementing Classes:
  ReflectiveMethodResolver

    public interface MethodResolver

A method resolver attempts locate a method and returns a command executor that can be used to invoke that method. The command executor will be cached but if it 'goes stale' the resolvers will be called again.

Since:
  3.0
Author:
  Andy Clement

### Method Summary

Methods
`MethodExecutor` `resolve(EvaluationContext context, Object targetObject, String name, List<TypeDescriptor> argumentTypes)` Within the supplied context determine a suitable method on the supplied object that can handle the specified arguments.

### Method Detail

#### resolve

    MethodExecutor resolve(EvaluationContext context,
                         Object targetObject,
                         String name,
                         List<TypeDescriptor> argumentTypes)
                           throws AccessException

Within the supplied context determine a suitable method on the supplied object that can handle the specified arguments. Return a MethodExecutor that can be used to invoke that method (or `null` if no method could be found).

Parameters:
  `context` - the current evaluation context
  `targetObject` - the object upon which the method is being called
  `argumentTypes` - the arguments that the constructor must be able to handle
Returns:
  a MethodExecutor that can invoke the method, or null if the method cannot be found
Throws:
  `AccessException`